Summary: Command-line tools and library for transforming PDF files
Name:    qpdf
Version: 6.0.0
Release: 1
Group: Applications/Publishing
# MIT: e.g. libqpdf/sha2.c
License: Artistic 2.0 and MIT
URL:     http://qpdf.sourceforge.net/
Source0: http://downloads.sourceforge.net/sourceforge/qpdf/%{name}-%{version}.tar.gz
Source1: http://downloads.sourceforge.net/sourceforge/qpdf/%{name}-%{version}.md5
Source2: http://downloads.sourceforge.net/sourceforge/qpdf/%{name}-%{version}.sha1

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make >= 3.81

BuildRequires: gcc >= 4.5.4-1
BuildRequires: gcc-c++ >= 4.5.4-1
BuildRequires: libstdc++-devel >= 4.5.4-1
BuildRequires: pcre-devel >= 8.38-1
BuildRequires: zlib-devel >= 1.2.3-7

Requires: %{name}-libs = %{version}-%{release}

# for fix-qdf
Requires: perl >= 5.8.8-2

Requires: libgcc >= 4.5.4-1
Requires: libstdc++ >= 4.5.4-1
Requires: pcre >= 8.38-1
Requires: zlib >= 1.2.3-7

%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF viewer
or a program capable of converting PDF into other formats.


%package libs
Summary: QPDF library for transforming PDF files
Group:   System Environment/Libraries

%description libs
QPDF is a C++ library that inspect and manipulate the structure of PDF files.
It can encrypt and linearize files, expose the internals of a PDF file,
and do many other operations useful to PDF developers.


%package devel
Summary: Development files for QPDF library
Group:   Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
Header files and libraries necessary
for developing programs using the QPDF library.


%package doc
Summary: QPDF Manual
Group:   Documentation
Requires: %{name}-libs = %{version}-%{release}

%description doc
QPDF Manual


%prep
%setup -q


%build
export CC="gcc -D_LARGE_FILES"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_AIX52 -D_AIX53 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export CXX="g++ -D_LARGE_FILES"
export CXXFLAGS=$CFLAGS

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%files libs
%doc README TODO ChangeLog Artistic-2.0
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%doc examples/*.cc examples/*.c
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%files doc
%{_datadir}/doc/%{name}


%changelog
* Mon Mar 14 2016 Michael Perzl <michael@perzl.org> - 6.0.0-1
- updated to version 6.0.0

* Mon Mar 14 2016 Michael Perzl <michael@perzl.org> - 5.1.3-1
- first version for AIX V5.3 and higher
